variable "name" {
  type        = string
  description = "Name of the application"
}

variable "tenant_id" {
  type        = string
  description = "FusionAuth Tenant ID"
}

variable "fusionauth_api_key" {
  type        = string
  sensitive   = true
  description = "FusionAuth API Key"
}

variable "fusionauth_uri" {
  type        = string
  description = "FusionAuth instance URI"
}

variable "oauth_redirect_uri" {
  type        = string
  description = "Redirect URI for the tenant"
}

variable "oauth_enabled_grants" {
  type = list(string)
  description = "List of enabled grants"
  default = ["authorization_code", "refresh_token"]
}

variable "oauth_require_registration" {
  type        = bool
  description = "Require registration for the tenant"
  default     = false
}

variable "rbac_lambda_id" {
  type    = string
  default = null
}

variable "wait_on" {
  type        = any
  description = "Resources to wait on"
  default     = true
}
